summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIgor <pashev.igor@gmail.com>2011-01-24 03:00:02 +0300
committerIgor <pashev.igor@gmail.com>2011-01-24 03:00:02 +0300
commitbee22d134829a4b37b38485437d6c5d120b55d0a (patch)
tree3f680bb3743faeb8de39e3921fd4ceaf9b081327
parent7f6484e782d970ce09e4929f10afdb396b0e7828 (diff)
downloadebuilds-bee22d134829a4b37b38485437d6c5d120b55d0a.tar.gz
OpenAxiom SVN
-rw-r--r--sci-mathematics/open-axiom/Manifest1
-rw-r--r--sci-mathematics/open-axiom/open-axiom-9999.ebuild57
2 files changed, 58 insertions, 0 deletions
diff --git a/sci-mathematics/open-axiom/Manifest b/sci-mathematics/open-axiom/Manifest
new file mode 100644
index 0000000..939149a
--- /dev/null
+++ b/sci-mathematics/open-axiom/Manifest
@@ -0,0 +1 @@
+EBUILD open-axiom-9999.ebuild 1205 RMD160 6bcea1c2233d40ab878b32dd9a607040f955767d SHA1 400596cd65ea83fa8b30a94ef7bfce242425de78 SHA256 036fc2d692da9bb15a6ff7274b768ddf1f89cddfd2f072a18e6c18dba04c497c
diff --git a/sci-mathematics/open-axiom/open-axiom-9999.ebuild b/sci-mathematics/open-axiom/open-axiom-9999.ebuild
new file mode 100644
index 0000000..6ae9fd2
--- /dev/null
+++ b/sci-mathematics/open-axiom/open-axiom-9999.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=2
+inherit eutils autotools subversion
+
+DESCRIPTION="The open scientific computation system (Axiom fork)"
+HOMEPAGE="http://open-axiom.org"
+ESVN_REPO_URI="https://open-axiom.svn.sf.net/svnroot/open-axiom/trunk"
+ESVN_PROJECT="open-axiom"
+SRC_URI=""
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+# Failed to build with -static-libs
+IUSE="+sbcl -clisp X threads"
+
+RDEPEND="X? ( x11-libs/libXpm x11-libs/libXau x11-libs/libSM x11-libs/libxcb
+x11-libs/libXdmcp x11-libs/libICE )
+sbcl? ( >=dev-lisp/sbcl-1.0.22 )
+clisp? ( >=dev-lisp/clisp-2.47 )"
+
+
+DEPEND="${RDEPEND}
+app-text/noweb"
+
+src_prepare() {
+ eautoreconf
+}
+
+src_configure() {
+ if use sbcl && ! use clisp; then
+ lisp=sbcl
+ elif use clisp && ! use sbcl; then
+ lisp=clisp
+ else
+ die "Must use sbcl OR clisp"
+ fi
+
+ econf \
+ $(use_with X x) \
+ --with-lisp=$lisp \
+ $(use_enable threads threads) \
+ || die "econf failed"
+}
+
+src_compile() {
+ emake -j1 || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+ dodoc ChangeLog* NEWS README AUTHORS MAINTAINERS TODO STYLES INSTALL
+}
+